PUT /api/v3/list/{listId}/visible

Update the visibility of a list for the current user. You must have created the list or have access to it.

EditListShareVisibilityV3

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
listId The shared list identifier integer (int32) Required

Request Body

ToggleVisible
Property Description Type
visible Required (defined) boolean
Example Request Body application/json
{  "visible": false
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

ListCreateResponse
Property Description Type
listDescription The list description. string
listId The list identifier. integer (int32)
listInfo The list name. string
listType ListTypeChild
ListTypeChild properties
Property Description Type
listTypeDescription string
listTypeId integer (int32)
listTypeInfo string
sharedList Is this a list shared with anyone? boolean
user UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
visible Is this list visible to me? boolean
Example Response application/json
{  "listDescription": "string",  "listId": 1,  "listInfo": "string",  "listType": {    "listTypeDescription": "string",    "listTypeId": 1,    "listTypeInfo": "string"
  },  "sharedList": false,  "user": {    "fullName": "string",    "userCode": "string",    "userId": 1
  },  "visible": false
}